cURL
curl --request PUT \
--url https://api.erdo.ai/v1/outreach-batches/{batch} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"default_country": "<string>",
"initiative_ref": "<string>",
"message_body": "<string>",
"message_version": "<string>",
"recipients": [
{
"identity_status": "<string>",
"phone_raw": "<string>",
"recipient_ref": "<string>"
}
],
"sequence_step": "<string>",
"source_snapshot_ref": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/outreach-batches/{batch}"
payload = {
"default_country": "<string>",
"initiative_ref": "<string>",
"message_body": "<string>",
"message_version": "<string>",
"recipients": [
{
"identity_status": "<string>",
"phone_raw": "<string>",
"recipient_ref": "<string>"
}
],
"sequence_step": "<string>",
"source_snapshot_ref": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
default_country: '<string>',
initiative_ref: '<string>',
message_body: '<string>',
message_version: '<string>',
recipients: [
{identity_status: '<string>', phone_raw: '<string>', recipient_ref: '<string>'}
],
sequence_step: '<string>',
source_snapshot_ref: '<string>'
})
};
fetch('https://api.erdo.ai/v1/outreach-batches/{batch}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"arm_blockers": [
"<string>"
],
"armable": true,
"batch": {
"armed_at": "2023-11-07T05:31:56Z",
"batch_slug": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"default_country": "<string>",
"delayed_by_days": 123,
"delayed_count": 123,
"delayed_until": "2023-11-07T05:31:56Z",
"eligible_count": 123,
"excluded_count": 123,
"immediate_count": 123,
"initiative_ref": "<string>",
"message_body": "<string>",
"message_hash": "<string>",
"message_version": "<string>",
"paused_at": "2023-11-07T05:31:56Z",
"preview_revision": "<string>",
"previewed_at": "2023-11-07T05:31:56Z",
"recipient_count": 123,
"sequence_step": "<string>",
"source_snapshot_ref": "<string>",
"state": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"counts": {
"blocked": 123,
"cancelled": 123,
"contacted": 123,
"delivered": 123,
"due": 123,
"eligible": 123,
"failed": 123,
"held": 123,
"opted_out": 123,
"replied": 123,
"total": 123
},
"next_cursor": "<string>",
"policy_readiness": {
"blockers": [
"<string>"
],
"ready": true
},
"provider_cost_estimate": {
"available": true,
"currency": "<string>",
"estimated_cost": "<string>",
"estimated_segments": 123,
"price_per_segment": "<string>",
"segments_per_recipient": 123,
"unavailable_reason": "<string>"
},
"provider_readiness": {
"blockers": [
"<string>"
],
"ready": true
},
"recipients": [
{
"attempt_count": 123,
"canonical_address": "<string>",
"cohort": "<string>",
"consent_grant_ref": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_state": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"eligibility_state": "<string>",
"exclusion_reason": "<string>",
"identity_status": "<string>",
"last_inbound_message_id": "<string>",
"phone_raw": "<string>",
"position": 123,
"provider_message_id": "<string>",
"provider_status": "<string>",
"recipient_ref": "<string>",
"responded_at": "2023-11-07T05:31:56Z",
"response_state": "<string>",
"sent_at": "2023-11-07T05:31:56Z"
}
],
"recipients_total": 123
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
Put v1outreach batches
PUT
/
v1
/
outreach-batches
/
{batch}
cURL
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Path Parameters
Body
application/json
Response
Success response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

